<?php
	include_once('../config.php');   
    
  
          
    if(!isset($_SESSION['userId']))
    { 
         header("Location: ../");
         die;
    }
       
                
                 
                
                
                 
                
                
                
                if(isset($_REQUEST['accPtId']))
                {    
                    
                    $stmt=$conn->prepare("select    AgnetTxn from  UI__P2Prequest   where id=:id  ");  
                    $stmt->bindValue(':id',  $_REQUEST['accPtId'] , PDO::PARAM_INT);  
                    $stmt->execute();  
                    $AgnetTxn = $stmt->fetch(PDO::FETCH_OBJ);
                    
                 
                    if($AgnetTxn->AgnetTxn==1)
                    {
                        
                        
                     $stmt=$conn->prepare("update  UI__P2Prequest set utr=:utr,status=1   where id=:id ");     
                    $stmt->bindValue(':utr',  "XXXX" , PDO::PARAM_INT);  
                    $stmt->bindValue(':id',  $_REQUEST['id'] , PDO::PARAM_INT);  
                    $stmt->execute(); 
                    
                    
                    $stmt=$conn->prepare("select  custId,amt,ToCust   from       UI__P2Prequest   where  id=:id  ");   
                    $stmt->bindValue(':id',  $_REQUEST['id'] , PDO::PARAM_INT);  
                    $stmt->execute();   
                    $dateOfra = $stmt->fetch(PDO::FETCH_OBJ); 
                    
                    
                    $payee_txn_id = mt_rand(29902,23894);
                    $stmt=$conn->prepare("insert into UI__WithDraw(userid,Tdate,amt,orgAmt,order_id,bank_remark,status,accept) values(:userid,:Tdate,:amt,:orgAmt,:order_id,:bank_remark,:status,:accept)"); 
                    $stmt->bindValue(':userid',   $dateOfra->custId , PDO::PARAM_STR);   
                    $stmt->bindValue(':Tdate',  date("d-M-Y H:i") , PDO::PARAM_STR);   
                    $stmt->bindValue(':amt',$dateOfra->amt , PDO::PARAM_STR);
                    $stmt->bindValue(':orgAmt', $dateOfra->amt , PDO::PARAM_STR); 
                    $stmt->bindValue(':order_id',  $payee_txn_id , PDO::PARAM_STR); 
                    $stmt->bindValue(':bank_remark', "PA", PDO::PARAM_STR); 
                    $stmt->bindValue(':status', 1 , PDO::PARAM_STR); 
                    $stmt->bindValue(':accept', 1 , PDO::PARAM_STR);      
                    $stmt->execute();          
                    LvBal($dateOfra->custId,$dateOfra->amt,2,"P2P Transfered",$dateOfra->custId);    
                    AddFundNew($dateOfra->ToCust,$dateOfra->amt,"P2P Transfered"); 
                    
                    $amt = round(($dateOfra->amt*0.5)/100);
                    AddFundNew($dateOfra->ToCust,$amt,"P2P Commission"); 
                    
                    $stmt=$conn->prepare("insert into UI__p2pCommision(Tdate,custId,byId,Amt,CmmAmt,UTR) values(:Tdate,:custId,:byId,:Amt,:CmmAmt,:UTR)"); 
                    $stmt->bindValue(':Tdate',   date("d-M-Y H:i")  , PDO::PARAM_STR);   
                    $stmt->bindValue(':custId', $dateOfra->ToCust , PDO::PARAM_STR);   
                    $stmt->bindValue(':byId', $dateOfra->custId, PDO::PARAM_STR);
                    $stmt->bindValue(':Amt', $dateOfra->amt , PDO::PARAM_STR); 
                    $stmt->bindValue(':CmmAmt',  $amt , PDO::PARAM_STR); 
                    $stmt->bindValue(':UTR',  "XXXX", PDO::PARAM_STR); 
                    $stmt->execute(); 
                    
                    
                     AddFundNew($dateOfra->custId,$amt,"P2P Commission"); 
                    
                    $stmt=$conn->prepare("insert into UI__p2pCommision(Tdate,custId,byId,Amt,CmmAmt,UTR) values(:Tdate,:custId,:byId,:Amt,:CmmAmt,:UTR)"); 
                    $stmt->bindValue(':Tdate',   date("d-M-Y H:i")  , PDO::PARAM_STR);   
                    $stmt->bindValue(':custId', $dateOfra->custId , PDO::PARAM_STR);   
                    $stmt->bindValue(':byId', $dateOfra->custId, PDO::PARAM_STR);
                    $stmt->bindValue(':Amt', $dateOfra->amt , PDO::PARAM_STR); 
                    $stmt->bindValue(':CmmAmt',  $amt , PDO::PARAM_STR); 
                    $stmt->bindValue(':UTR',   "XXXX" , PDO::PARAM_STR); 
                    $stmt->execute(); 
                    
                        
                    
                    }else {
                    $stmt=$conn->prepare("update  UI__P2Prequest set AccRej=1   where id=:id ");     
                    $stmt->bindValue(':id',  $_REQUEST['accPtId'] , PDO::PARAM_INT);  
                    $stmt->execute();  
                    }
                    header("Location: p2pRequest.php");
                    die;   
                }
                if(isset($_REQUEST['rejectPtId']))
                { 
                   
                    $stmt=$conn->prepare("update  UI__P2Prequest set AccRej=2,status=1   where id=:id ");     
                    $stmt->bindValue(':id',  $_REQUEST['rejectPtId'] , PDO::PARAM_INT);  
                    $stmt->execute();  
                    header("Location: p2pRequest.php");
                    die;   
                }
                
                if(isset($_REQUEST['utrEntr']))
                { 
                   
                    $stmt=$conn->prepare("update  UI__P2Prequest set utr=:utr,status=1   where id=:id ");     
                    $stmt->bindValue(':utr',  $_REQUEST['utrEntr'] , PDO::PARAM_INT);  
                    $stmt->bindValue(':id',  $_REQUEST['id'] , PDO::PARAM_INT);  
                    $stmt->execute(); 
                    
                    
                    $stmt=$conn->prepare("select  custId,amt,ToCust   from       UI__P2Prequest   where  id=:id  ");   
                    $stmt->bindValue(':id',  $_REQUEST['id'] , PDO::PARAM_INT);  
                    $stmt->execute();   
                    $dateOfra = $stmt->fetch(PDO::FETCH_OBJ); 
                    
                    
                    $payee_txn_id = mt_rand(29902,23894);
                    $stmt=$conn->prepare("insert into UI__WithDraw(userid,Tdate,amt,orgAmt,order_id,bank_remark,status,accept) values(:userid,:Tdate,:amt,:orgAmt,:order_id,:bank_remark,:status,:accept)"); 
                    $stmt->bindValue(':userid',   $dateOfra->custId , PDO::PARAM_STR);   
                    $stmt->bindValue(':Tdate',  date("d-M-Y H:i") , PDO::PARAM_STR);   
                    $stmt->bindValue(':amt',$dateOfra->amt , PDO::PARAM_STR);
                    $stmt->bindValue(':orgAmt', $dateOfra->amt , PDO::PARAM_STR); 
                    $stmt->bindValue(':order_id',  $payee_txn_id , PDO::PARAM_STR); 
                    $stmt->bindValue(':bank_remark', "PA", PDO::PARAM_STR); 
                    $stmt->bindValue(':status', 1 , PDO::PARAM_STR); 
                    $stmt->bindValue(':accept', 1 , PDO::PARAM_STR);      
                    $stmt->execute();          
                    LvBal($dateOfra->custId,$dateOfra->amt,2,"P2P Transfered",$dateOfra->custId);    
                    AddFundNew($dateOfra->ToCust,$dateOfra->amt,"P2P Transfered"); 
                    
                    $amt = round(($dateOfra->amt*0.5)/100);
                    AddFundNew($dateOfra->ToCust,$amt,"P2P Commission"); 
                    
                    $stmt=$conn->prepare("insert into UI__p2pCommision(Tdate,custId,byId,Amt,CmmAmt,UTR) values(:Tdate,:custId,:byId,:Amt,:CmmAmt,:UTR)"); 
                    $stmt->bindValue(':Tdate',   date("d-M-Y H:i")  , PDO::PARAM_STR);   
                    $stmt->bindValue(':custId', $dateOfra->ToCust , PDO::PARAM_STR);   
                    $stmt->bindValue(':byId', $dateOfra->custId, PDO::PARAM_STR);
                    $stmt->bindValue(':Amt', $dateOfra->amt , PDO::PARAM_STR); 
                    $stmt->bindValue(':CmmAmt',  $amt , PDO::PARAM_STR); 
                    $stmt->bindValue(':UTR',  $_REQUEST['utrEntr'] , PDO::PARAM_STR); 
                    $stmt->execute();        
                    header("Location: p2pRequest.php");
                    die;   
                }   
             
                $stmt=$conn->prepare("select *   from  UI__P2Prequest  where ToCust=:ToCust    order by id desc");   
                $stmt->bindValue(':ToCust',  $_SESSION['userId'] , PDO::PARAM_INT);  
                $stmt->execute(); 
                $Result = $stmt->fetchAll(PDO::FETCH_OBJ);   
               
 
                
include_once("../view/dashboard/p2pRequest.php");
?>